DNF5-MARK(8)

NAME
dnf5-mark - Mark Command

SYNOPSIS

dnf5 mark <subcommand> [global options] [<group-id>] <package-spec-NPFB>...

DESCRIPTION

The mark command in DNF5 is used to change reason of installed packages defined in package-spec-NPFB arguments.

SUBCOMMANDS

    user
        Mark the package as user-installed.

        This can be useful if any package was installed as a dependency and is desired to stay on the system when remove command along with clean_requirements_on_remove configuration option set to True is executed.

    dependency
        Mark the package as a dependency.

        This can be useful if you as the user don't need a specific package. The package stays installed on the system, but will be removed when remove command along with clean_requirements_on_remove configuration option set to True is executed.

        You should use this operation instead of remove command if you're not sure whether the package is a requirement of other user installed package on the system.

    weak
        Mark the package as a weak dependency.

    group
        Mark the package as installed by the group defined in group-id argument.

        This can be useful if any package was installed as a dependency or the user and is desired to be protected and handled as a group member like during group remove command.

OPTIONS

    --skip-unavailable
        Allow skipping packages that are not installed on the system. All remaining installed packages will be marked.

    --offline
        Store the transaction to be performed offline. See offline command <#offline-command-ref-label>, dnf5-offline(8).

    --store=PATH
        Store the current transaction in a directory at the specified PATH instead of running it.
        The stored transaction can be performed by the replay command <#replay-command-ref-label>, dnf5-replay(8).
        Note that repository ids in the stored transaction are mangled to @stored_transaction(repo_id) this is required
        because during replaying the stored repositories are recreated and they might collide with already present repositories
        (this doesn't apply to the special @System repository).

EXAMPLES

    dnf5 mark user fuse-devel
        Mark the fuse-devel package as user-installed.

    dnf5 mark group xfce-desktop vim-enhanced
        Mark the vim-enhanced package as installed by the xfce-desktop group.

SEE ALSO
        dnf5-comps(7), Comps groups and environments <#comps-misc-ref-label>
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.